Re: actualizar xoops

Enviado por  cerbero el 11/1/2011 11:29:50
Con el paquete del 2.4.5 completo puedes actualizar bien desde 2.0.16, lo que si debes tener en cuenta es que si tu sitio es ISO y no utf8 deberas meterle el idioma spanish de 2.4.4 antes de subirlo, las instrucciones en "guiri" son:
Acotación:
Upgrading from XOOPS 2.0.* above 2.0.14 and 2.2.* (using the full package)

0. Unpack the archive to your LOCAL computer (e.g. PC) in a temporary directory.
1. Move the "upgrade" folder inside the "htdocs" folder (it's been kept out as it's not needed for full installs) on your local computer
2. Delete htdocs/mainfile.php, htdocs/install/, htdocs/cache/, htdocs/template_c/, htdocs/themes/ and htdocs/uploads/ from the "htdocs" folder on your LOCAL computer
* if you have created XOOPS_TRUST_PATH folder on your server, copy the content of /xoops_lib to that directory, and delete /xoops_lib from the "htdocs" folder on your LOCAL computer
3. Upload the content of the /htdocs folder on your LOCAL computer over your existing files on your server
4. For security considerations, you are encouraged to move directories xoops_lib (for XOOPS libraries) and xoops_data (for XOOPS data) out of Document Root, and change the folder names.
5. Make the directory of xoops_data/ writable; Create and make the directories of xoops_data/caches/, xoops_data/caches/xoops_cache/, xoops_data/caches/smarty_cache/ and xoops_data/caches/smarty_compile/ writable (permission 0777 on Linux).
6. Ensure the server can write to mainfile.php (permission 0777 on Linux)
7. If you have Protector previously installed, open the "mainfile.php" file , and remove the Pre-check and Post-check lines (if they exist):

include XOOPS_TRUST_PATH.'/modules/protector/include/precheck.inc.php' ;
include XOOPS_TRUST_PATH.'/modules/protector/include/postcheck.inc.php' ;

8. Access /upgrade/ with a browser, and follow the instructions
9. Follow the instructions to update your database
10. Write-protect mainfile.php again (permission 0444 on Linux)
11. Delete the "upgrade" folder from your server
12. Update the "system" module from the modules administration interface, other modules are recommended to update as well

Este post ha sido de: http://www.esxoops.com/modules/newbb/viewtopic.php?topic_id=7542&post_id=29467